# @package _global_

# python run.py experiment=sn datamodule=mnist_datamodule
# python run.py experiment=sn

defaults:
  - override /mode: exp.yaml
  - override /trainer: default.yaml
  - override /model: null
  - override /datamodule: cifar_datamodule.yaml
  - override /callbacks: null
  - override /logger: null

# all parameters below will be merged with parameters from default configurations set above
# this allows you to overwrite only specified parameters

# name of the run determines folder name in logs
# it's also accessed by loggers
name: "sn${datamodule.dataset}"

seed: 12345

trainer:
  min_epochs: 1
  max_epochs: 10

model:
  module:
    _target_: src.models.sn_model.SNModel
  x_shape:
    - ${datamodule.channel}
    - ${datamodule.image_size}
    - ${datamodule.image_size}
  z_shape:
    - 128

  generator:
    _target_: src.networks.sn_32.Generator
    bottom_width: 4
    gf_dim: 256
    latent_dim: 128
    out_ch: ${datamodule.channel}
  discriminator:
    _target_: src.networks.sn_32.Discriminator
    df_dim: 128
    in_channel: ${datamodule.channel}

  g_lr: 2e-4
  d_lr: 2e-4
  beta1: 0.0
  beta2: 0.9
  n_critic: 5

callbacks:
  imgviz:
    _target_: src.callbacks.img_cb.ImgViz
# skip usage of lr_decay, code available

logger:
  wandb:
    tags:
      - sn
      - gan
